import request from '@/utils/request'

// 查询开栓|安检|维修列表
export function listComprehensive(query) {
  return request({
    url: '/zdsz/openbolt/list',
    method: 'get',
    params: query
  })
}

// 查询开栓|安检|维修详细
export function getComprehensive(id) {
  return request({
    url: '/zdsz/openbolt/' + id,
    method: 'get'
  })
}

// 新增开栓|安检|维修
export function addComprehensive(data) {
  return request({
    url: '/zdsz/openbolt',
    method: 'post',
    data: data
  })
}

// 修改开栓|安检|维修
export function updateComprehensive(data) {
  return request({
    url: '/zdsz/openbolt',
    method: 'put',
    data: data
  })
}

// 删除开栓|安检|维修
export function delComprehensive(id) {
  return request({
    url: '/zdsz/openbolt/' + id,
    method: 'delete'
  })
}
